Retrieve fees for an account | Moov Documentation
Retrieve fees for an account
Retrieve fees assessed to an account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/fees
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/fees" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.feePlans.retrieveFees({
accountID: "89daf02d-b6b3-4fbf-b20d-5bf967324682",
skip: 60,
count: 20,
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\RetrieveFeesRequest(
accountID: '89daf02d-b6b3-4fbf-b20d-5bf967324682',
skip: 60,
count: 20,
);
$response = $sdk->accounts->getFees(
request: $request
);
if ($response->incurredFees !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.RetrieveFeesRequest;
import io.moov.sdk.models.operations.RetrieveFeesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
RetrieveFeesRequest req = RetrieveFeesRequest.builder()
.accountID("89daf02d-b6b3-4fbf-b20d-5bf967324682")
.skip(60L)
.count(20L)
.build();
RetrieveFeesResponse res = sdk.feePlans().retrieveFees()
.request(req)
.call();
if (res.incurredFees().isPresent()) {
System.out.println(res.incurredFees().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.fee_plans.retrieve_fees(account_id="89daf02d-b6b3-4fbf-b20d-5bf967324682", skip=60, count=20)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
req = Models::Operations::RetrieveFeesRequest.new(
account_id: '89daf02d-b6b3-4fbf-b20d-5bf967324682',
skip: 60,
count: 20
)
res = s.fee_plans.retrieve_fees(request: req)
unless res.incurred_fees.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
RetrieveFeesRequest req = new RetrieveFeesRequest() {
AccountID = "89daf02d-b6b3-4fbf-b20d-5bf967324682",
Skip = 60,
Count = 20,
};
var res = await sdk.FeePlans.RetrieveFeesAsync(req);
// handle response
The request completed successfully.
Ask
Example
[\
{\
"feeID": "string",\
"accountID": "string",\
"walletID": "string",\
"createdOn": "2019-08-24T14:15:22Z",\
"feeName": "string",\
"amount": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"generatedBy": {\
"transferID": "string",\
"cardID": "string",\
"disputeID": "string",\
"accountID": "string",\
"bankAccountID": "string",\
"invoiceID": "string"\
},\
"feeGroup": "string",\
"residualID": "string"\
}\
]
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Optional transfer ID to filter the results by.
Optional dispute ID to filter the results by.
Optional residual ID to filter the results by.
Optional date-time to inclusively filter all fees created after this date-time.
Optional date-time to exclusively filter all fees created before this date-time.
Default: 200
Account ID the fee belongs to.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).
The fee amount.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Timestamp when the fee was created.
Describes the source of the fee, such as a Moov-set processing fee, a network pass-through fee, or an interchange or discount fee.
Name of the fee.
Object indicating what generated the fee (TransferID, CardID, DisputeID, AccountID, or BankAccountID).
The entity that generated the fee.
Show child attributes
Unique identifier for this residual payment calculation.
Wallet ID associated with the fee.